Skip to main content
`Ctrl`+`K`

# TSReset

Resets a `TS` context to the state it was in before `TSSetUp()` was called and removes any allocated `Vec` and `Mat` from its data structures

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSReset(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Notes

Any options set on the `TS` object, including those set with `TSSetFromOptions()` remain.

See also `TSSetResize()` to change the size of the system being integrated (for example by adaptive mesh refinement) during the time integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSCreate()`, `TSSetup()`, `TSDestroy()`, `TSSetResize()`

## Level

developer

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex77.c

## Implementations

TSReset_ARKIMEX() in src/ts/impls/arkimex/arkimex.c
TSReset_BDF() in src/ts/impls/bdf/bdf.c
TSReset_EIMEX() in src/ts/impls/eimex/eimex.c
TSReset_Euler() in src/ts/impls/explicit/euler/euler.c
TSReset_RK() in src/ts/impls/explicit/rk/rk.c
TSReset_SSP() in src/ts/impls/explicit/ssp/ssp.c
TSReset_GLEE() in src/ts/impls/glee/glee.c
TSReset_Alpha() in src/ts/impls/implicit/alpha/alpha1.c
TSReset_Alpha() in src/ts/impls/implicit/alpha/alpha2.c
TSReset_DiscGrad() in src/ts/impls/implicit/discgrad/tsdiscgrad.c
TSReset_GLLE() in src/ts/impls/implicit/glle/glle.c
TSReset_IRK() in src/ts/impls/implicit/irk/irk.c
TSReset_Sundials() in src/ts/impls/implicit/sundials/sundials.c
TSReset_Theta() in src/ts/impls/implicit/theta/theta.c
TSReset_Mimex() in src/ts/impls/mimex/mimex.c
TSReset_MPRK() in src/ts/impls/multirate/mprk.c
TSReset_Pseudo() in src/ts/impls/pseudo/posindep.c
TSReset_RosW() in src/ts/impls/rosw/rosw.c
TSReset_BasicSymplectic() in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages